# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import datetime


class Migration(migrations.Migration):

    dependencies = [
        ('apella', '0067_foreigndiplomadetails_owner'),
    ]

    operations = [
        migrations.CreateModel(
            name='Discipline',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('discipline_text', models.ForeignKey(related_name='discipline_text', to='apella.MultiLangFields')),
                ('scientific_field', models.ForeignKey(related_name='scientific_field', to='apella.MultiLangFields')),
            ],
        ),
        migrations.CreateModel(
            name='DisciplineRegistry',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('registry_created_at', models.DateTimeField(default=datetime.datetime.utcnow)),
                ('registry_set_at', models.DateTimeField(default=datetime.datetime.utcnow)),
                ('is_active', models.BooleanField(default=False)),
                ('department', models.ForeignKey(to='apella.Department', on_delete=django.db.models.deletion.PROTECT)),
                ('disciplines', models.ManyToManyField(to='apella.Discipline')),
                ('registry_set_decision_files', models.ManyToManyField(to='apella.ApellaFile')),
            ],
        ),
    ]
